<!-- BEGIN PRIMER EXTERNAL SECURITY.MD V1.0.0 BLOCK -->

## Security

Primer takes the security of our software products and services seriously, which includes all source code repositories managed through our GitHub organization, [PrimerAI](https://github.com/PrimerAI).

If you believe you have found a security vulnerability in any Primer-owned repository, please report it to us as described below.

## Reporting Security Issues
  
**Please do not report security vulnerabilities through public GitHub issues.**  
  
Instead, please report them to the Primer Security Team at:  
[security@primer.ai](mailto:security@primer.ai)  
  

Please include the requested information listed below (as much as you can provide) to help us better understand the nature and scope of the possible issue:

  * Type of issue (e.g. buffer overflow, SQL injection, cross-site scripting, etc.)
  * Full paths of source file(s) related to the manifestation of the issue
  * The location of the affected source code (tag/branch/commit or direct URL)
  * Any special configuration required to reproduce the issue
  * Step-by-step instructions to reproduce the issue
  * Proof-of-concept or exploit code (if possible)
  * Impact of the issue, including how an attacker might exploit the issue

This information will help us triage your report more quickly.


## Preferred Languages

We prefer all communications to be in English.

## Policy

Primer follows the principle of [Coordinated Vulnerability Disclosure](https://resources.sei.cmu.edu/asset_files/SpecialReport/2017_003_001_503340.pdf).

<!-- END PRIMER EXTERNAL SECURITY.MD V1.0.0 BLOCK -->
